Read the statement by Michael Teeuw here.
What is your backup and restore method?
-
@karsten13 Looks good but same thing I am not grasping how to implement this…sorry
-
@swvalenti Ok… :)
You need a “server” (a location where you can “wget” files from for this to work.
I have a specific backup directory on my own webserver, but you can use any server as long as you can wget from it.Then the “Toinstall” part is just me having more the one config files in the backup dir.
Basically I have 2 different install possibility’s “house” and “NUC”.
So my backup config files are named “config-house.js” and config-NUC.js".
I enable the one I want to restore.“ConfigName” is the actual name of the config file when it’s copied to it’s destination. This is probably always going to be “config.js” for the MM2. :)
“User” is in what directory the “MagicMirror” is located (when you cloned it).
“Moddir” is where your modules will be installed (this is probably always going to the same for MM2 as well).
“DownloadFrom” is where to download your backed up files from.
Then it’s just two "array"s with the files and folders with the backup files and where to copy them when restoring.
Files[1] = “file1-to-copy”
Dirs[1] = “Where/to/copy/file-1”
And so on…Files[3] Is the script I use to set the screen to sleep and wake it up (Using MMM-Remote-Control).
Files[4] Is the script I use to automatically update the mirror and the modules (manually).Files[7-9] It’s the “compliment-files” (used in the compliments module).
And Files[11] Is the MagicMirror start script I use (for starting the mirror with pm2).
“Packfile” Is the name of the file to look for when installing moduls. If it’s there, the npm install will be executed when installing the module.
Last but not least it’s all the git-repos for the modules I use in my mirror.
These will be cloned in the “Moddir” and installed (with npm if “Packfile” exists").That’s about it. :)
Let me know if you have any more questions. :)
-
i use this tool:
https://www.linux-tips-and-tricks.de/en/backup/
every night I make a full backup of all 4 Raspi as a TAR file to a NAS on my network. then i shrink and convert the TAR files into an IMG file (read Framps Linux-Tips-and-Tricks).
so I can always make a new SD card with my Win10 and Win32 Disk Imager.
-
@Lusbueb I have a Buffalo NAS LS I am trying to backup too but can’t figure out the right path to add to
sudo nano /etc/fstab
-
@Lusbueb this looks interesting.
Do you stop mm before the back up?
-
The only information that is unique to my mirror is the module configuration. I just back up the
config.js
file whenever I make a change to the mirror configuration. If the mirror needs to be rebuilt, I can quickly build a slick Buster installation, SSH into the Pi, run the installation script, drop the backupconfig.js
to the config folder and then do a half-dozengit clone
commands.Once the mirror is up & running, I can do the boring maintenance stuff (
apt get update && apt get upgrade
) and just let it run in the background. -
@swvalenti on my Netgeras ReadyNAS i have enabled NFS and SMB and a Share named backup (everyone has full-access)
i start the raspibackup.sh-Script with this helper-Script named raspiBackupNfsWrapper.sh
#!/bin/bash ####################################################################################################################### # # Sample script which checks whether a nfsserver is available and exports a specific directory # and then starts raspiBackup # ####################################################################################################################### # # Copyright # (C) 2017,2018 - framp at linux-tips-and-tricks dot de # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. # ####################################################################################################################### NFSSERVER="192.168.192.10" NFSDIRECTORY="/c/backup" MOUNTPOINT="/backup" VERSION="0.0.3" # add pathes if not already set (usually not set in crontab) if [[ -e /bin/grep ]]; then PATHES="/usr/local/sbin /usr/local/bin /usr/sbin /usr/bin /sbin /bin" for p in $PATHES; do if ! /bin/grep -E -q "[^:]$p[:$]" <<< $PATH; then [[ -z $PATH ]] && export PATH=$p || export PATH="$p:$PATH" fi done fi function cleanup() { umount -f $MOUNTPOINT } trap cleanup SIGINT SIGTERM EXIT if ping -c1 -w3 $NFSSERVER &>/dev/null; then if showmount -e $NFSSERVER | grep -q $NFSDIRECTORY; then echo "Mouting $NFSSERVER:$NFSDIRECTORY to $MOUNTPOINT" mount -t nfs -o soft,vers=3 $NFSSERVER:$NFSDIRECTORY $MOUNTPOINT if (( $? > 0 )); then echo "Failed to mount $NFSSERVER:$NFSDIRECTORY" exit 42 fi raspiBackup7412.sh rc=$? if (( $rc > 0 )); then echo "raspiBackup failed with rc $rc" exit $rc fi else echo "Server $NFSSERVER does not provide $NFSDIRECTORY" exit 1 fi else echo "Server $NFSSERVER not online" exit 1 fi
Will this be helpfull for you?
Regards Peter
-
@BillyTheKid9588 yes, in the raspiBackup.conf i have this to lines to stop an start MM:
# commands to stop services before backup separated by & DEFAULT_STOPSERVICES="sudo -u pi pm2 stop mm && systemctl stop lighttpd" # commands to start services after backup separated by & DEFAULT_STARTSERVICES="systemctl start lighttpd && sudo -u pi pm2 start mm"
Will this be helpfull for you?
Regards Peter
-
For my backup I tried to just make an image of my card, so if something were to ever go wrong, I could just reimage my card and it would work. Well, we lost power yesterday, and something went wrong. I formatted the card, re imaged it, and it eventually booted after some errors. The problem was that my config.js was corrupted or something, because I couldn’t edit it anymore. I’ve tried to reimage it again, but i’ve now gotten a different set of errors and a debian load screen i’ve never seen before. No idea where I went wrong.
-
@Cyric there is a false sense of security w sd cards. the memory technology used is write once. the bits cannot be reused
the software does not know this… the hardware does the work under the covers and say Success!
even when its not.once the bits are used, the card is dead. may turn read only or may start exhibiting corrupted files ( the software does not know)
this technology is great for cameras and music, low write activity… not so much for os’s that page, write log files… or apps like mm that constantly cause log files
I think, based on your description your card is used up. time for a new one…
I changed my pis to boot from SD card, but run from ssd (same technology, just really bigger)
ps. I have lost 10 sd cards to this problem over the last 4 years…